Create counterparty account

Use this API to create counterparty accounts. You can submit them as a batch and the API method will return a list of identifiers of the created counterparties if successful. You can then use this ID to retrieve the counterparty using GET /counterparty.

The status of the created counterparty will depend on the permissions of the technical user executing the API call:

  • APPROVED if the user has permissions to skip the 4-eyes check
  • PENDING if the user doesn't have those permissions and the counterparty needs to be approved separately by an authorized user before it can be used.

Body Params

JSON containing a list of counterparties to be created

counterparties
array of objects
required
length ≥ 1

List of counterparties to create

counterparties*

Create counterparty request

string
required
length between 5 and 34

The counterparty account number, can be an IBAN or a BBAN (unstructured account number).

address
object
required

The address details. The total length of address + zip + city cannot exceed 103 characters.

string
length between 0 and 70

The alias name for the new account.

string
required
length ≥ 1

BIC of the counterparty account.

counterpartyGroupIds
array of int64s, unique

Counterparty groups ids to be linked with

counterpartyGroupIds
date

The date of birth of the individual.

string

The external ID for this counterparty. Can be used to match against an external system.

string
length between 1 and 35

The first name of the individual. This field is mandatory if type is INDIVIDUAL.

string
enum

The gender of the individual.

Allowed:
string
length between 1 and 35

The last name of the individual. This field is mandatory if type is INDIVIDUAL.

string
length between 0 and 35

The organisation name.

string

The name of the associated risk level.

string
enum
required

The type of the new counterparty account.

Allowed:
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json